/*
 *-------------------
 * The Dictionary9iEvent.java is part of ASH Viewer
 *-------------------
 * 
 * ASH Viewer is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * ASH Viewer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ASH Viewer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (c) 2009, Alex Kardapolov, All rights reserved.
 *
 */
package org.ash.util;

import java.util.*;

/**
 * The Class Dictionary9iEvent.
 */
public class Dictionary9iEvent extends ListResourceBundle {

  /* (non-Javadoc)
   * @see java.util.ListResourceBundle#getContents()
   */
  public Object[][] getContents() {
    return contents;
  }

  /** The Constant contents. */
  static final Object[][] contents = {
	  /** pare event# and event name */
	  {"0","null event"},                                                             
	  {"1","unspecified event"},                                                      
	  {"2","latch activity"},                                                         
	  {"3","wait list latch activity"},                                               
	  {"4","latch free"},                                                             
	  {"5","wait list latch free"},                                                   
	  {"6","free process state object"},                                              
	  {"7","pmon timer"},                                                             
	  {"8","inactive session"},                                                       
	  {"9","ksu process alloc latch yield"},                                          
	  {"10","logout restrictor"},                                                     
	  {"11","name service busy"},                                                     
	  {"12","ksimret is busy in recovery"},                                           
	  {"13","debugger command"},                                                      
	  {"14","ksdxexeother"},                                                          
	  {"15","ksdxexeotherwait"},                                                      
	  {"16","background parameter adjustment"},                                       
	  {"17","ksbsrv"},                                                                
	  {"18","ksbcic"},                                                                
	  {"19","process startup"},                                                       
	  {"20","rdbms ipc message block"},                                               
	  {"21","rdbms ipc reply"},  
	  {"22","rdbms ipc message"},                                                     
	  {"23","enqueue"},                                                      
	  {"24","ksqded"}, 
	  {"25","trace writer flush"},                                                    
	  {"26","trace writer I/O"},                                                      
	  {"27","trace unfreeze"},                                                        
	  {"28","trace continue"},                                                        
	  {"29","async disk IO"},                                                         
	  {"30","fib/fob latch"},                                                         
	  {"31","sbtinit"},                                                               
	  {"32","sbtopen"},                                                               
	  {"33","sbtread"},                                                               
	  {"34","sbtwrite"},                                                              
	  {"35","sbtclose"},                                                              
	  {"36","sbtinfo"},                                                               
	  {"37","sbtremove"},                                                             
	  {"38","sbtbackup"},                                                             
	  {"39","sbtclose2"},                                                             
	  {"40","sbtcommand"},                                                            
	  {"41","sbtend"},                                                                
	  {"42","sbterror"},                                                              
	  {"43","sbtinfo2"},                                                              
	  {"44","sbtinit2"},                                                              
	  {"45","sbtread2"},                                                              
	  {"46","sbtremove2"},                                                            
	  {"47","sbtrestore"},                                                            
	  {"48","sbtwrite2"},                                                             
	  {"49","sbtpcbackup"},                                                           
	  {"50","sbtpccancel"},                                                           
	  {"51","sbtpccommit"},                                                           
	  {"52","sbtpcend"},                                                              
	  {"53","sbtpcquerybackup"},                                                      
	  {"54","sbtpcqueryrestore"},                                                     
	  {"55","sbtpcrestore"},                                                          
	  {"56","sbtpcstart"},                                                            
	  {"57","sbtpcstatus"},                                                           
	  {"58","sbtpcvalidate"},                                                         
	  {"59","imm op"},                                                                
	  {"60","io done"},                                                               
	  {"61","i/o slave wait"},                                                        
	  {"62","slave exit"},                                                            
	  {"63","reliable message"},                                                      
	  {"64","wait for unread message on broadcast channel"},                          
	  {"65","wait for unread message on multiple broadcast channels"},                
	  {"66","IPC send completion sync"},                                              
	  {"67","IPC wait for name service busy"},                                        
	  {"68","IPC busy async request"},                                                
	  {"69","IPC waiting for OSD resources"},                                         
	  {"70","ksxr poll remote instances"},                                            
	  {"71","wait for FMON to come up"},                                              
	  {"72","DIAG dummy wait"},                                                       
	  {"73","ges remote message"},                                                    
	  {"74","DFS lock handle"},                                                       
	  {"75","ges LMD to shutdown"},                                                   
	  {"76","ges global resource directory to be frozen"},                            
	  {"77","ges global resource directory to be unfrozen"},                          
	  {"78","ges LMD to inherit communication channels"},                             
	  {"79","ges cgs registration"},                                                  
	  {"80","wait for master scn"},                                                   
	  {"81","wait for scn from all nodes"},                                           
	  {"82","ges cgs de-registration"},                                               
	  {"83","ges reconfiguration to start"},                                          
	  {"84","ges2 proc latch in rm latch get 1"},                                     
	  {"85","ges2 proc latch in rm latch get 2"},                                     
	  {"86","ges server qs to be empty - kjbrrit"},                                   
	  {"87","ges proc table latch - kjdrptref"},                                      
	  {"88","ges lmd/lmses to freeze in rcfg - mrcvr"},                               
	  {"89","ges lmd/lmses to freeze in rcfg - srcvr"},                               
	  {"90","ges lmd/lmses to unfreeze in rcfg - mrcvr"},                             
	  {"91","ges lmd/lmses to unfreeze in rcfg - srcvr"},                             
	  {"92","ges LMON to join CGS group"},                                            
	  {"93","ges process allocation"},                                                
	  {"94","ges pmon to exit"},                                                      
	  {"95","ges lmd and pmon to attach"},                                            
	  {"96","ges drm deferred close"},                                                
	  {"97","ges drm freeze begin"},                                                  
	  {"98","ges cached resource cleanup"},                                           
	  {"99","ges generic event"},                                                     
	  {"100","ges process with outstanding i/o"},                                     
	  {"101","ges enter server mode"},                                                
	  {"102","ges cancel"},                                                           
	  {"103","ges resource cleanout during enqueue open"},                            
	  {"104","ges resource cleanout during enqueue open-cvt"},                        
	  {"105","ges master to get established for SCN op"},                             
	  {"106","ges LMON to get to FTDONE "},                                           
	  {"107","ges1 LMON to wake up LMD"},                                             
	  {"108","ges1 LMON to wake up LMD - mrcvr"},                                     
	  {"109","ges2 LMON to wake up LMD - mrcvr"},                                     
	  {"110","ges2 LMON to wake up LMD - srcvr"},                                     
	  {"111","ges2 LMON to wake up lms - mrcvr 2"},                                   
	  {"112","ges inquiry response"},                                                 
	  {"113","ges LMON for send buffers to be empty"},                                
	  {"114","ges reusing os pid"},                                                   
	  {"115","ges LMON for send queues"},                                             
	  {"116","ges LMD suspend for testing event"},                                    
	  {"117","ges LMS suspend for testing event"},                                    
	  {"118","ges performance test completion"},                                      
	  {"119","KJC: Wait for msg sends to complete"},                                  
	  {"120","kjctssqmg: quick message send wait"},                                   
	  {"121","kjctcisnd: Queue/Send client message"},                                 
	  {"122","gcs domain validation"},                                                
	  {"123","wait for sync ack"},                                                    
	  {"124","wait for verification ack"},                                            
	  {"125","wait for assert messages to be sent"},                                  
	  {"126","name-service call wait"},                                               
	  {"127","CGS wait for IPC msg"},                                                 
	  {"128","kjxgrtest"},                                                            
	  {"129","wait for tmc2 to complete"},                                            
	  {"130","wait for votes"},                                                       
	  {"131","wait for rr lock release"},                                             
	  {"132","wait for message ack"},                                                 
	  {"133","wait for record update"},                                               
	  {"134","wait for membership synchronization"},                                  
	  {"135","wait for split-brain resolution"},                                      
	  {"136","wait for membership change"},                                           
	  {"137","CGS skgxn join retry"},                                                 
	  {"138","gcs for action"},                                                       
	  {"139","gcs to be enabled"},                                                    
	  {"140","gcs remote message"},                                                   
	  {"141","contacting SCN server or SCN lock master"},                             
	  {"142","retry contact SCN lock master"},                                        
	  {"143","control file sequential read"},                                         
	  {"144","control file single write"},                                            
	  {"145","control file parallel write"},                                          
	  {"146","refresh controlfile command"},                                          
	  {"147","control file heartbeat"},                                               
	  {"148","buffer exterminate"},                                                   
	  {"149","buffer resize"},                                                        
	  {"150","kcbzps"},                                                               
	  {"151","free buffer waits"},                                                    
	  {"152","local write wait"},                                                     
	  {"153","checkpoint completed"},                                                 
	  {"154","buffer deadlock"},                                                      
	  {"155","buffer latch"},                                                         
	  {"156","cr request retry"},                                                     
	  {"157","write complete waits"},                                                 
	  {"158","buffer read retry"},                                                    
	  {"159","buffer busy waits"},                                                    
	  {"160","buffer busy global cache"},                                             
	  {"161","buffer busy global CR"},                                                
	  {"162","writes stopped by instance recovery or database suspension"},           
	  {"163","multiple dbwriter suspend/resume for file offline"},                    
	  {"164","lock escalate retry"},                                                  
	  {"165","lock deadlock retry"},                                                  
	  {"166","buffer pool resize"},                                                   
	  {"167","recovery read"},                                                        
	  {"168","pi renounce write complete"},                                           
	  {"169","cache simulator heap"},                                                 
	  {"170","wait for MTTR advisory state object"},                                  
	  {"171","log switch/archive"},                                                   
	  {"172","LNS wait on ATTACH"},                                                   
	  {"173","LNS wait on SENDREQ"},                                                  
	  {"174","LNS wait on DETACH"},                                                   
	  {"175","LNS wait on LGWR"},                                                     
	  {"176","LGWR wait on ATTACH"},                                                  
	  {"177","LGWR wait on SENDREQ"},                                                 
	  {"178","LGWR wait on DETACH"},                                                  
	  {"179","LGWR sequential i/o"},                                                  
	  {"180","LGWR random i/o"},                                                      
	  {"181","LGWR wait on LNS"},                                                     
	  {"182","RFS sequential i/o"},                                                   
	  {"183","RFS random i/o"},                                                       
	  {"184","ARCH wait on ATTACH"},                                                  
	  {"185","ARCH wait on SENDREQ"},                                                 
	  {"186","ARCH wait on DETACH"},                                                  
	  {"187","ARCH sequential i/o"},                                                  
	  {"188","ARCH random i/o"},                                                      
	  {"189","LGWR simulation latency wait"},                                         
	  {"190","LGWR-LNS wait on channel"},                                             
	  {"191","LGWR wait on full LNS buffer"},                                         
	  {"192","LNS simulation latency wait"},                                          
	  {"193","kcrrrcp"},                                                              
	  {"194","LNS wait for LGWR redo"},                                               
	  {"195","log file sequential read"},                                             
	  {"196","log file single write"},                                                
	  {"197","log file parallel write"},                                              
	  {"198","LGWR wait for redo copy"},                                              
	  {"199","log buffer space"},                                                     
	  {"200","log file switch (checkpoint incomplete)"},                              
	  {"201","log file switch (archiving needed)"},                                   
	  {"202","log file switch (clearing log file)"},                                  
	  {"203","switch logfile command"},                                               
	  {"204","log file switch completion"},                                           
	  {"205","log file sync"},                                                        
	  {"206","DFS db file lock"},                                                     
	  {"207","conversion file read"},                                                 
	  {"208","db file sequential read"},                                              
	  {"209","db file scattered read"},                                               
	  {"210","db file single write"},                                                 
	  {"211","db file parallel write"},                                               
	  {"212","db file parallel read"},                                                
	  {"213","global cache open s"},                                                  
	  {"214","global cache open x"},                                                  
	  {"215","global cache null to s"},                                               
	  {"216","global cache null to x"},                                               
	  {"217","global cache s to x"},                                                  
	  {"218","global cache cr request"},                                              
	  {"219","global cache cr disk request"},                                         
	  {"220","global cache busy"},                                                    
	  {"221","global cache freelist wait"},                                           
	  {"222","global cache bg acks"},                                                 
	  {"223","global cache pending ast"},                                             
	  {"224","global cache retry prepare"},                                           
	  {"225","global cache cancel wait"},                                             
	  {"226","global cache cr cancel wait"},                                          
	  {"227","global cache pred cancel wait"},                                        
	  {"228","global cache domain validation"},                                       
	  {"229","global cache assume wait"},                                             
	  {"230","global cache recovery free wait"},                                      
	  {"231","global cache recovery quiesce wait"},                                   
	  {"232","global cache claim wait"},                                              
	  {"233","global cache remastering wait"},                                        
	  {"234","global cache quiesce wait"},                                            
	  {"235","direct path read"},                                                     
	  {"236","direct path write"},                                                    
	  {"237","direct path read (lob) "},                                              
	  {"238","direct path write (lob)"},                                              
	  {"239","PX Deq: Par Recov Reply"},                                              
	  {"240","PX Deq: Par Recov Execute"},                                            
	  {"241","PX Deq: Par Recov Change Vector"},                                      
	  {"242","wait for activate message"},                                            
	  {"243","wakeup event for builder"},                                             
	  {"244","wakeup event for preparer"},                                            
	  {"245","wakeup event for reader"},                                              
	  {"246","wait for transaction"},                                                 
	  {"247","wait for Logical Standby Apply shutdown"},                              
	  {"248","Wait for Dictionary Build to lock all tables"},                         
	  {"249","wait for possible quiesce finish"},                                     
	  {"250","parallel recovery coordinator waits for cleanup of slaves"},            
	  {"251","transaction"},                                                          
	  {"252","inactive transaction branch"},                                          
	  {"253","txn to complete"},                                                      
	  {"254","L1 validation"},                                                        
	  {"255","kttm2d"},                                                               
	  {"256","ktsambl"},                                                              
	  {"257","undo segment recovery"},                                                
	  {"258","undo segment extension"},                                               
	  {"259","undo segment tx slot"},                                                 
	  {"260","unbound tx"},                                                           
	  {"261","wait for another txn - undo rcv abort"},                                
	  {"262","wait for another txn - txn abort"},                                     
	  {"263","wait for another txn - rollback to savepoint"},                         
	  {"264","switch undo - offline"},                                                
	  {"265","instance recovery"},                                                    
	  {"266","sort segment request"},                                                 
	  {"267","instance state change"},                                                
	  {"268","smon timer"},                                                           
	  {"269","PX Deq: Txn Recovery Start"},                                           
	  {"270","PX Deq: Txn Recovery Reply"},                                           
	  {"271","wait for stopper event to be increased"},                               
	  {"272","wait for a undo record"},                                               
	  {"273","wait for a paralle reco to abort"},                                     
	  {"274","statement suspended, wait error to be cleared"},                        
	  {"275","PX Deq: Index Merge Reply"},                                            
	  {"276","PX Deq: Index Merge Execute"},                                          
	  {"277","PX Deq: Index Merge Close"},                                            
	  {"278","index block split"},                                                    
	  {"279","dupl. cluster key"},                                                    
	  {"280","index (re)build online start"},                                         
	  {"281","index (re)build online cleanup"},                                       
	  {"282","index (re)build online merge"},                                         
	  {"283","kdic_do_merge"},                                                        
	  {"284","row cache lock"},                                                       
	  {"285","row cache read"},                                                       
	  {"286","kkdlgon"},                                                              
	  {"287","kkdlsipon"},                                                            
	  {"288","kkdlhpon"},                                                             
	  {"289","kgltwait"},                                                             
	  {"290","pending global transaction(s)"},                                        
	  {"291","free global transaction table entry"},                                  
	  {"292","library cache pin"},                                                    
	  {"293","library cache lock"},                                                   
	  {"294","library cache load lock"},                                              
	  {"295","file identify"},                                                        
	  {"296","file open"},                                                            
	  {"297","BFILE closure"},                                                        
	  {"298","BFILE check if exists"},                                                
	  {"299","BFILE check if open"},                                                  
	  {"300","BFILE get length"},                                                     
	  {"301","BFILE get name object"},                                                
	  {"302","BFILE get path object"},                                                
	  {"303","BFILE open"},                                                           
	  {"304","BFILE read"},                                                           
	  {"305","BFILE internal seek"},                                                  
	  {"306","waiting to get CAS latch"},                                             
	  {"307","waiting to get RM CAS latch"},                                          
	  {"308","resmgr:wait in actses run"},                                            
	  {"309","resmgr:waiting in end wait"},                                           
	  {"310","resmgr:waiting in check"},                                              
	  {"311","resmgr:waiting in system stop"},                                        
	  {"312","resmgr:waiting in enter"},                                              
	  {"313","resmgr:waiting in shutdown"},                                           
	  {"314","resmgr:waiting in check2"},                                             
	  {"315","resmgr:waiting in enter2"},                                             
	  {"316","resmgr:waiting in run (queued)"},                                       
	  {"317","resmgr:waiting in end wait2"},                                          
	  {"318","resmgr:waiting for cschlat1"},                                          
	  {"319","resmgr:waiting for cschlat2"},                                          
	  {"320","resmgr:waiting for cschlat3"},                                          
	  {"321","resmgr:waiting for cschlat4"},                                          
	  {"322","alter system set dispatcher"},                                          
	  {"323","dispatcher shutdown"},                                                  
	  {"324","listen endpoint status"},                                               
	  {"325","virtual circuit status"},                                               
	  {"326","dispatcher timer"},                                                     
	  {"327","dispatcher listen timer"},                                              
	  {"328","kksfbc research"},                                                      
	  {"329","kksscl hash split"},                                                    
	  {"330","kksfbc child completion"},                                              
	  {"331","select wait"},                                                          
	  {"332","jobq slave wait"},                                                      
	  {"333","slave shutdown wait"},                                                  
	  {"334","slave TJ process wait"},                                                
	  {"335","Wait for Table Lock"},                                                  
	  {"336","pipe get"},                                                             
	  {"337","pipe put"},                                                             
	  {"338","kkshgnc reloop"},                                                       
	  {"339","PX slave connection"},                                                  
	  {"340","PX slave release"},                                                     
	  {"341","PX Send Wait"},                                                         
	  {"342","PX qref latch"},                                                        
	  {"343","PX server shutdown"},                                                   
	  {"344","PX create server"},                                                     
	  {"345","PX signal server"},                                                     
	  {"346","PX Deque wait"},                                                        
	  {"347","PX Idle Wait"},                                                         
	  {"348","PX Deq: Join ACK"},                                                     
	  {"349","PX Deq Credit: need buffer"},                                           
	  {"350","PX Deq Credit: free buffer"},                                           
	  {"351","PX Deq Credit: send blkd"},                                             
	  {"352","PX Deq: Test for msg"},                                                 
	  {"353","PX Deq: Signal ACK"},                                                   
	  {"354","PX Deq: reap credit"},                                                  
	  {"355","PX Nsq: PQ descriptor query"},                                          
	  {"356","PX Nsq: PQ load info query"},                                           
	  {"357","PX Deq: Msg Fragment"},                                                 
	  {"358","PX Deq: Parse Reply"},                                                  
	  {"359","PX Deq: Execute Reply"},                                                
	  {"360","PX Deq: Execution Msg"},                                                
	  {"361","kxfxse"},                                                               
	  {"362","kxfxsp"},                                                               
	  {"363","PX Deq: Table Q Normal"},                                               
	  {"364","PX Deq: Table Q Sample"},                                               
	  {"365","PX Deq: Table Q qref"},                                                 
	  {"366","PX Deq: Table Q Get Keys"},                                             
	  {"367","PX Deq: Table Q Close"},                                                
	  {"368","qxdid_gdml"},                                                           
	  {"369","single-task message"},                                                  
	  {"370","SQL*Net message to client"},                                            
	  {"371","SQL*Net message to dblink"},                                            
	  {"372","SQL*Net more data to client"},                                          
	  {"373","SQL*Net more data to dblink"},                                          
	  {"374","SQL*Net message from client"},                                          
	  {"375","SQL*Net more data from client"},                                        
	  {"376","SQL*Net message from dblink"},                                          
	  {"377","SQL*Net more data from dblink"},                                        
	  {"378","SQL*Net break/reset to client"},                                        
	  {"379","SQL*Net break/reset to dblink"},                                        
	  {"380","PL/SQL lock timer"},                                                    
	  {"381","opishd"},                                                               
	  {"382","wait for EMON to spawn"},                                               
	  {"383","queue messages"},                                                       
	  {"384","wakeup time manager"},                                                  
	  {"385","Replication Dequeue "},                                                 
	  {"386","knpc_acwm_AwaitChangedWaterMark"},                                      
	  {"387","knpc_anq_AwaitNonemptyQueue"},                                          
	  {"388","knpsmai"},                                                              
	  {"389","STREAMS apply coord waiting for slave message"},                        
	  {"390","STREAMS apply coord waiting for some work to finish"},                  
	  {"391","STREAMS fetch slave waiting for txns"},                                 
	  {"392","STREAMS apply slave waiting for coord message"},                        
	  {"393","knlWaitForStartup"},                                                    
	  {"394","STREAMS capture process waiting for archive log"},                      
	  {"395","STREAMS capture process filter callback wait for ruleset"},             
	  {"396","Streams: Wating for DDL to apply"},                                     
	  {"397","knlqdeq"},                                                              
	  {"398","HS message to agent"},                                                  
	  {"399","rfrxptarcurlog"},                                                       
	  {"400","PX Deq: OLAP Update Reply"},                                            
	  {"401","PX Deq: OLAP Update Execute"},                                          
	  {"402","PX Deq: OLAP Update Close"},                                            
	  {"403","secondary event"}};
}