/*
 *-------------------
 * The Dictionary9iLatches.java is part of ASH Viewer
 *-------------------
 * 
 * ASH Viewer is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * ASH Viewer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ASH Viewer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (c) 2009, Alex Kardapolov, All rights reserved.
 *
 */
package org.ash.util;

import java.util.*;

/**
 * The Class Dictionary9iLatches.
 */
public class Dictionary9iLatches extends ListResourceBundle {

  /* (non-Javadoc)
   * @see java.util.ListResourceBundle#getContents()
   */
  public Object[][] getContents() {
    return contents;
  }

  /** The Constant contents. */
  static final Object[][] contents = {
	  /** pare latch# and latch name */
	  {"0","latch: latch wait list"},
	  {"1","latch: event range base latch"},
	  {"2","latch: post/wait queue"},
	  {"3","latch: process allocation"},
	  {"4","latch: session allocation"},
	  {"5","latch: session switching"},
	  {"6","latch: process group creation"},
	  {"7","latch: session idle bit"},
	  {"8","latch: longop free list parent"},
	  {"9","latch: cached attr list"},
	  {"10","latch: object stats modification"},
	  {"11","latch: Testing"},
	  {"12","latch: shared java pool"},
	  {"13","latch: latch for background adjusted parameters"},
	  {"14","latch: event group latch"},
	  {"15","latch: messages"},
	  {"16","latch: enqueues"},
	  {"17","latch: enqueue hash chains"},
	  {"18","latch: instance enqueue"},
	  {"19","latch: trace latch"},
	  {"20","latch: FOB s.o list latch"},
	  {"21","latch: FIB s.o chain latch"},
	  {"22","latch: KSFQ"},
	  {"23","latch: X$KSFQP"},
	  {"24","latch: i/o slave adaptor"},
	  {"25","latch: ksfv messages"},
	  {"26","latch: msg queue latch"},
	  {"27","latch: done queue latch"},
	  {"28","latch: session queue latch"},
	  {"29","latch: direct msg latch"},
	  {"30","latch: vecio buf des"},
	  {"31","latch: ksfv subheap"},
	  {"32","latch: resmgr group change latch"},
	  {"33","latch: channel handle pool latch"},
	  {"34","latch: channel operations parent latch"},
	  {"35","latch: message pool operations parent latch"},
	  {"36","latch: channel anchor"},
	  {"37","latch: dynamic channels"},
	  {"38","latch: first spare latch"},
	  {"39","latch: second spare latch"},
	  {"40","latch: ksxp tid allocation"},
	  {"41","latch: segmented array pool"},
	  {"42","latch: granule operation"},
	  {"43","latch: KSXR large replies"},
	  {"44","latch: SGA mapping latch"},
	  {"45","latch: ges process table freelist"},
	  {"46","latch: ges process parent latch"},
	  {"47","latch: ges process hash list"},
	  {"48","latch: ges resource table freelist"},
	  {"49","latch: ges caches resource lists"},
	  {"50","latch: ges resource hash list"},
	  {"51","latch: ges resource scan list"},
	  {"52","latch: ges s-lock bitvec freelist"},
	  {"53","latch: ges enqueue table freelist"},
	  {"54","latch: ges timeout list"},
	  {"55","latch: ges deadlock list"},
	  {"56","latch: ges statistic table"},
	  {"57","latch: ges synchronous data"},
	  {"58","latch: KJC message pool free list"},
	  {"59","latch: KJC receiver ctx free list"},
	  {"60","latch: KJC snd proxy ctx free list"},
	  {"61","latch: KJC destination ctx free list"},
	  {"62","latch: KJC receiver queue access list"},
	  {"63","latch: KJC snd proxy queue access list"},
	  {"64","latch: KJC global post event buffer"},
	  {"65","latch: KJCT receiver queue access"},
	  {"66","latch: KJCT flow control latch"},
	  {"67","latch: ges domain table"},
	  {"68","latch: ges group table"},
	  {"69","latch: ges group parent"},
	  {"70","latch: gcs resource hash"},
	  {"71","latch: gcs opaque info freelist"},
	  {"72","latch: gcs resource freelist"},
	  {"73","latch: gcs resource scan list"},
	  {"74","latch: gcs shadows freelist"},
	  {"75","latch: name-service entry"},
	  {"76","latch: name-service request queue"},
	  {"77","latch: name-service pending queue"},
	  {"78","latch: name-service namespace bucket"},
	  {"79","latch: name-service memory objects"},
	  {"80","latch: name-service namespace objects"},
	  {"81","latch: name-service request"},
	  {"82","latch: ges struct kjmddp"},
	  {"83","latch: gcs partitioned table hash"},
	  {"84","latch: gcs pcm hashed value bucket hash"},
	  {"85","latch: gcs partitioned freelist"},
	  {"86","latch: gcs remaster request queue"},
	  {"87","latch: file number translation table"},
	  {"88","latch: mostly latch-free SCN"},
	  {"89","latch: lgwr LWN SCN"},
	  {"90","latch: redo on-disk SCN"},
	  {"91","latch: Consistent RBA"},
	  {"92","latch: batching SCNs"},
	  {"93","latch: cache buffers lru chain"},
	  {"94","latch: buffer pool"},
	  {"95","latch: multiple dbwriter suspend"},
	  {"96","latch: active checkpoint queue latch"},
	  {"97","latch: checkpoint queue latch"},
	  {"98","latch: cache buffers chains"},
	  {"99","latch: cache buffer handles"},
	  {"100","latch: multiblock read objects"},
	  {"101","latch: cache protection latch"},
	  {"102","latch: simulator lru latch"},
	  {"103","latch: simulator hash latch"},
	  {"104","latch: sim partition latch"},
	  {"105","latch: state object free list"},
	  {"106","latch: LGWR NS Write"},
	  {"107","latch: archive control"},
	  {"108","latch: archive process latch"},
	  {"109","latch: managed standby latch"},
	  {"110","latch: FAL subheap alocation"},
	  {"111","latch: FAL request queue"},
	  {"112","latch: alert log latch"},
	  {"113","latch: redo writing"},
	  {"114","latch: redo copy"},
	  {"115","latch: redo allocation"},
	  {"116","latch: OS file lock latch"},
	  {"117","latch: KCL instance latch"},
	  {"118","latch: KCL gc element parent latch"},
	  {"119","latch: KCL name table parent latch"},
	  {"120","latch: KCL freelist parent latch"},
	  {"121","latch: KCL bast context freelist latch"},
	  {"122","latch: loader state object freelist"},
	  {"123","latch: begin backup scn array"},
	  {"124","latch: Managed Standby Recovery State"},
	  {"125","latch: TLCR context"},
	  {"126","latch: TLCR meta context"},
	  {"127","latch: logical standby cache"},
	  {"128","latch: Media rcv so alloc latch"},
	  {"129","latch: parallel recoverable recovery"},
	  {"130","latch: block media rcv so alloc latch"},
	  {"131","latch: mapped buffers lru chain"},
	  {"132","latch: dml lock allocation"},
	  {"133","latch: list of block allocation"},
	  {"134","latch: transaction allocation"},
	  {"135","latch: dummy allocation"},
	  {"136","latch: transaction branch allocation"},
	  {"137","latch: commit callback allocation"},
	  {"138","latch: sort extent pool"},
	  {"139","latch: undo global data"},
	  {"140","latch: ktm global data"},
	  {"141","latch: parallel txn reco latch"},
	  {"142","latch: intra txn parallel recovery"},
	  {"143","latch: resumable state object"},
	  {"144","latch: sequence cache"},
	  {"145","latch: temp lob duration state obj allocation"},
	  {"146","latch: row cache enqueue latch"},
	  {"147","latch: row cache objects"},
	  {"148","latch: dictionary lookup"},
	  {"149","latch: cost function"},
	  {"150","latch: user lock"},
	  {"151","latch: global ctx hash table latch"},
	  {"152","latch: comparison bit cache"},
	  {"153","latch: instance information"},
	  {"154","latch: policy information"},
	  {"155","latch: global tx hash mapping"},
	  {"156","latch: shared pool"},
	  {"157","latch: library cache"},
	  {"158","latch: library cache pin"},
	  {"159","latch: library cache pin allocation"},
	  {"160","latch: library cache load lock"},
	  {"161","latch: Token Manager"},
	  {"162","latch: Direct I/O Adaptor"},
	  {"163","latch: cas latch"},
	  {"164","latch: rm cas latch"},
	  {"165","latch: resmgr:runnable lists"},
	  {"166","latch: resmgr:actses change state"},
	  {"167","latch: resmgr:actses change group"},
	  {"168","latch: resmgr:session queuing"},
	  {"169","latch: resmgr:actses active list"},
	  {"170","latch: resmgr:free threads list"},
	  {"171","latch: resmgr:schema config"},
	  {"172","latch: resmgr:gang list"},
	  {"173","latch: resmgr:queued list"},
	  {"174","latch: resmgr:running actses count"},
	  {"175","latch: resmgr:vc list latch"},
	  {"176","latch: resmgr:method mem alloc latch"},
	  {"177","latch: resmgr:plan CPU method"},
	  {"178","latch: resmgr:resource group CPU method"},
	  {"179","latch: QMT"},
	  {"180","latch: dispatcher configuration"},
	  {"181","latch: session timer"},
	  {"182","latch: parameter list"},
	  {"183","latch: presentation list"},
	  {"184","latch: address list"},
	  {"185","latch: end-point list"},
	  {"186","latch: virtual circuit buffers"},
	  {"187","latch: virtual circuit queues"},
	  {"188","latch: virtual circuits"},
	  {"189","latch: kmcptab latch"},
	  {"190","latch: kmcpvec latch"},
	  {"191","latch: JOX SGA heap latch"},
	  {"192","latch: job_queue_processes parameter latch"},
	  {"193","latch: job workq parent latch"},
	  {"194","latch: child cursor hash table"},
	  {"195","latch: query server process"},
	  {"196","latch: query server freelists"},
	  {"197","latch: error message lists"},
	  {"198","latch: process queue"},
	  {"199","latch: process queue reference"},
	  {"200","latch: parallel query stats"},
	  {"201","latch: parallel query alloc buffer"},
	  {"202","latch: hash table modification latch"},
	  {"203","latch: hash table column usage latch"},
	  {"204","latch: constraint object allocation"},
	  {"205","latch: device information"},
	  {"206","latch: temporary table state object allocation"},
	  {"207","latch: internal temp table object number allocation latch"},
	  {"208","latch: SQL memory manager latch"},
	  {"209","latch: SQL memory manager workarea list latch"},
	  {"210","latch: ncodef allocation latch"},
	  {"211","latch: NLS data objects"},
	  {"212","latch: numer of job queues for server notfn"},
	  {"213","latch: message enqueue sync latch"},
	  {"214","latch: bufq subscriber channel"},
	  {"215","latch: non-pers queues instances"},
	  {"216","latch: queue sender's info. latch"},
	  {"217","latch: browsers latch"},
	  {"218","latch: enqueue buffered messages latch"},
	  {"219","latch: dequeue sob latch"},
	  {"220","latch: spilled messages latch"},
	  {"221","latch: spilled msgs queues list latch"},
	  {"222","latch: dynamic channels context latch"},
	  {"223","latch: image handles of buffered messages latch"},
	  {"224","latch: kwqit: protect wakeup time"},
	  {"225","latch: KWQP Prop Status"},
	  {"226","latch: AQ Propagation Scheduling Proc Table"},
	  {"227","latch: AQ Propagation Scheduling System Load"},
	  {"228","latch: process"},
	  {"229","latch: fixed table rows for x$hs_session"},
	  {"230","latch: qm_init_sga"},
	  {"231","latch: XDB unused session pool"},
	  {"232","latch: XDB used session pool"},
	  {"233","latch: XDB Config"},
	  {"234","latch: DMON Process Context Latch"},
	  {"235","latch: DMON Work Queues Latch"},
	  {"236","latch: RSM process latch"},
	  {"237","latch: RSM SQL latch"},
	  {"238","latch: Request id generation latch"},
	  {"239","latch: xscalc freelist"},
	  {"240","latch: xssinfo freelist"},
	  {"241","latch: AW SGA latch"},
	  
	  /** Enqueues */
	  {"TX0","enq: TX - contention, req: 0"},
	  {"TX1","enq: TX - contention, req: 1"},
	  {"TX2","enq: TX - contention, req: 2"},
	  {"TX3","enq: TX - contention, req: 3"},
	  {"TX5","enq: TX - contention, req: 5"},
	  
	  {"TX4","enq: TX - contention, req: 4"},
	  {"TX6","enq: TX - contention, req: 6"},
	  
	  {"TM0","enq: TM - contention, req: 0"},
	  {"TM1","enq: TM - contention, req: 1"},
	  {"TM2","enq: TM - contention, req: 2"},
	  {"TM3","enq: TM - contention, req: 3"},
	  {"TM4","enq: TM - contention, req: 4"},
	  {"TM5","enq: TM - contention, req: 5"},
	  {"TM6","enq: TM - contention, req: 6"},
	  
	  {"BL","enq: BL - Buffer hash table instance lock"},
	  {"CF","enq: CF - Control file schema global enqueue lock"},
	  {"CI","enq: CI - Cross-instance function invocation instance lock"},
	  {"CS","enq: CS - Control file schema global enqueue lock"},
	  {"CU","enq: CU - Cursor bind lock"},
	  {"DF","enq: DF - Data file instance lock"},
	  {"DL","enq: DL - Direct loader parallel index create"},
	  {"DM","enq: DM - Mount/startup db primary/secondary instance lock"},
	  {"DR","enq: DR - Distributed recovery process lock"},
	  {"DX","enq: DX - Distributed transaction entry lock"},
	  {"FI","enq: FI - SGA open-file information lock"},
	  {"FS","enq: FS - File set lock"},
	  {"HW","enq: HW - Space management operations on a specific segment lock"},
	  {"IN","enq: IN - Instance number lock"},
	  {"IR","enq: IR - Instance recovery serialization global enqueue lock"},
	  {"IS","enq: IS - Instance state lock"},
	  {"IV","enq: IV - Library cache invalidation instance lock"},
	  {"JQ","enq: JQ - Job queue lock"},
	  {"KK","enq: KK - Thread kick lock"},
	  {"MB","enq: MB - Master buffer hash table instance lock"},
	  {"MM","enq: MM - Mount definition gloabal enqueue lock"},
	  {"MR","enq: MR - Media recovery lock"},
	  {"PF","enq: PF - Password file lock"},
	  {"PI","enq: PI - Parallel operation lock"},
	  {"PR","enq: PR - Process startup lock"},
	  {"PS","enq: PS - Parallel operation lock"},
	  {"RE","enq: RE - USE_ROW_ENQUEUE enforcement lock"},
	  {"RT","enq: RT - Redo thread global enqueue lock"},
	  {"RW","enq: RW - Row wait enqueue lock"},
	  {"SC","enq: SC - System commit number instance lock"},
	  {"SH","enq: SH - System commit number high water mark enqueue lock"},
	  {"SM","enq: SM - SMON lock"},
	  {"SN","enq: SN - Sequence number instance lock"},
	  {"SQ","enq: SQ - Sequence number enqueue lock"},
	  {"SS","enq: SS - sort segment lock"},
	  {"ST","enq: ST - Space transaction enqueue lock"},
	  {"SV","enq: SV - Sequence number value lock"},
	  {"TA","enq: TA - Generic enqueue lock"},
	  {"TD","enq: TD - DDL enqueue lock"},
	  {"TE","enq: TE - Extend-segment enqueue lock"},
	  {"TO","enq: TO - Temporary Table Object Enqueue"},
	  {"TT","enq: TT - Temporary table enqueue lock"},
	  {"UL","enq: UL - User supplied lock"},
	  {"UN","enq: UN - User name lock"},
	  {"US","enq: US - Undo segment DDL lock"},
	  {"WL","enq: WL - Being-written redo log instance lock"},
	  {"WS","enq: WS - Write-atomic-log-switch global enqueue lock"},
	  {"TS","enq: TS - Temporary segment/New block allocation enqueue lock"},
	  {"LA","enq: LA - Library cache lock instance lock (A=namespace)"},
	  {"LB","enq: LB - Library cache lock instance lock (B=namespace)"},
	  {"LC","enq: LC - Library cache lock instance lock (C=namespace)"},
	  {"LD","enq: LD - Library cache lock instance lock (D=namespace)"},
	  {"LE","enq: LE - Library cache lock instance lock (E=namespace)"},
	  {"LF","enq: LF - Library cache lock instance lock (F=namespace)"},
	  {"LG","enq: LG - Library cache lock instance lock (G=namespace)"},
	  {"LH","enq: LH - Library cache lock instance lock (H=namespace)"},
	  {"LI","enq: LI - Library cache lock instance lock (I=namespace)"},
	  {"LJ","enq: LJ - Library cache lock instance lock (J=namespace)"},
	  {"LK","enq: LK - Library cache lock instance lock (K=namespace)"},
	  {"LL","enq: LL - Library cache lock instance lock (L=namespace)"},
	  {"LM","enq: LM - Library cache lock instance lock (M=namespace)"},
	  {"LN","enq: LN - Library cache lock instance lock (N=namespace)"},
	  {"LO","enq: LO - Library cache lock instance lock (O=namespace)"},
	  {"LP","enq: LP - Library cache lock instance lock (P=namespace)"},
	  {"LS","enq: LS - Log start/log switch enqueue lock"},
	  {"PA","enq: PA - Library cache pin instance lock (A=namespace)"},
	  {"PB","enq: PB - Library cache pin instance lock (B=namespace)"},
	  {"PC","enq: PC - Library cache pin instance lock (C=namespace)"},
	  {"PD","enq: PD - Library cache pin instance lock (D=namespace)"},
	  {"PE","enq: PE - Library cache pin instance lock (E=namespace)"},
	  {"PF","enq: PF - Library cache pin instance lock (F=namespace)"},
	  {"PG","enq: PG - Library cache pin instance lock (G=namespace)"},
	  {"PH","enq: PH - Library cache pin instance lock (H=namespace)"},
	  {"PI","enq: PI - Library cache pin instance lock (I=namespace)"},
	  {"PJ","enq: PJ - Library cache pin instance lock (J=namespace)"},
	  {"PL","enq: PL - Library cache pin instance lock (K=namespace)"},
	  {"PK","enq: PK - Library cache pin instance lock (L=namespace)"},
	  {"PM","enq: PM - Library cache pin instance lock (M=namespace)"},
	  {"PN","enq: PN - Library cache pin instance lock (N=namespace)"},
	  {"PO","enq: PO - Library cache pin instance lock (O=namespace)"},
	  {"PP","enq: PP - Library cache pin instance lock (P=namespace)"},
	  {"PQ","enq: PQ - Library cache pin instance lock (Q=namespace)"},	  
	  {"PR","enq: PR - Library cache pin instance lock (R=namespace)"},
	  {"PS","enq: PS - Library cache pin instance lock (S=namespace)"},
	  {"PT","enq: PT - Library cache pin instance lock (T=namespace)"},
	  {"PU","enq: PU - Library cache pin instance lock (U=namespace)"},
	  {"PV","enq: PV - Library cache pin instance lock (V=namespace)"},
	  {"PW","enq: PW - Library cache pin instance lock (W=namespace)"},
	  {"PX","enq: PX - Library cache pin instance lock (X=namespace)"},
	  {"PY","enq: PY - Library cache pin instance lock (Y=namespace)"},
	  {"PZ","enq: PZ - Library cache pin instance lock (Z=namespace)"},
	  {"QA","enq: QA - Row cache instance lock (A=cache)"},
	  {"QB","enq: QB - Row cache instance lock (B=cache)"},
	  {"QC","enq: QC - Row cache instance lock (C=cache)"},
	  {"QD","enq: QD - Row cache instance lock (D=cache)"},
	  {"QE","enq: QE - Row cache instance lock (E=cache)"},
	  {"QF","enq: QF - Row cache instance lock (F=cache)"},
	  {"QG","enq: QG - Row cache instance lock (G=cache)"},
	  {"QH","enq: QH - Row cache instance lock (H=cache)"},
	  {"QI","enq: QI - Row cache instance lock (I=cache)"},
	  {"QJ","enq: QJ - Row cache instance lock (J=cache)"},
	  {"QL","enq: QL - Row cache instance lock (L=cache)"},
	  {"QK","enq: QK - Row cache instance lock (K=cache)"},
	  {"QM","enq: QM - Row cache instance lock (M=cache)"},
	  {"QN","enq: QN - Row cache instance lock (N=cache)"},
	  {"QO","enq: QO - Row cache instance lock (O=cache)"},
	  {"QP","enq: QP - Row cache instance lock (P=cache)"},
	  {"QQ","enq: QQ - Row cache instance lock (Q=cache)"},
	  {"QR","enq: QR - Row cache instance lock (R=cache)"},
	  {"QS","enq: QS - Row cache instance lock (S=cache)"},
	  {"QT","enq: QT - Row cache instance lock (T=cache)"},
	  {"QU","enq: QU - Row cache instance lock (U=cache)"},
	  {"QV","enq: QV - Row cache instance lock (V=cache)"},
	  {"QW","enq: QW - Row cache instance lock (W=cache)"},
	  {"QX","enq: QX - Row cache instance lock (X=cache)"},
	  {"QY","enq: QY - Row cache instance lock (Y=cache)"},
	  {"QZ","enq: QZ - Row cache instance lock (Z=cache)"}};
}